
/*****************************************************************************************  
 *  OpenSourceSaverView.h
 *  OpenSourceSaver
 *
 *  Created by Doug Diego on Thu Jun 13 2002.
 *  Copyright (c) 2002 Diego.org. All rights reserved.
 *
 *  
 *  This software is distributed under the terms of the GNU General Public License (GPL)
 *
 * Permission to use, copy, modify, distribute, and sell this software and its
 * documentation for any purpose is hereby granted without fee, provided that
 * the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation.  No representations are made about the suitability of this
 * software for any purpose.  It is provided "as is" without express or 
 * implied warranty.
 ******************************************************************************************/

#import <ScreenSaver/ScreenSaver.h>
#import "OpenSourceSaverPrefs.h"


@interface OpenSourceSaverView : ScreenSaverView 
{
    NSMutableDictionary *attributes;// Attributes for writing to the screen
    NSPoint point;		// point to draw text
    NSMutableString *theCode;	// source filed appened to this var
    int i;			
    NSString *text;		// source file read into this var
    int previousLocation;	// location in source line
    int sourceCount; 		// number of source files
    int currentSource; 		// sourcefile currently displaying
    float speed; 		// speed of scrolling text
    float fontSize; 		// size if the font
    NSString *fontName;		// name of font
    NSString *theSearchRoot;	// path to search of source files
    NSMutableArray *arrayOfFiles;// array containing source files
    BOOL displayOwnSource;
    
    float fontColorRed;
    float fontColorGreen;
    float fontColorBlue;
    float fontColorAlpha;
    
}

- (void)drawString:(NSString *)myString atPoint: (NSPoint) point;
- (void)prepareAttributes;
- (void)loadDoc;
- (void)loadPrefs;
- (void)storePrefs;
- (void)filterSource;


@end
